@import 'src/assets/scss/core/functions';
@import "src/assets/scss/core/breakpoints";
@import "src/assets/scss/core/mixins";
@import "src/assets/scss/settings";

.swiper {
  position: relative;

  $swiper-btn-size: 100px;

  &--products {
    margin-top: -25px;
  }

  &--main {
    margin-top: -70px;
    background: var(--black-color);
  }

  &-body {
    @include container();

    position: relative;
  }

  &-slide {
    //height: 900px;
    font-family: $font-family;
    box-sizing: border-box;

    .swiper--products & {
      //opacity: 0.2;
      filter: grayscale(1);
      transition: all 0.35s ease-in;
    }

    .swiper--products &-active {
      z-index: 10;
      opacity: 1;
      transform: scale(1.1);
      filter: none;
      //box-shadow: 0 0 20px 0 rgba($black-color, 0.2);
    }
  }

  &-slide-bg {
    position: relative;
    height: 100%;
    background-repeat: no-repeat;
    background-size: cover;
    background-position: 0;

    &::before {
      content: '';
      position: absolute;
      top: 0;
      left: 0;
      width: 100%;
      height: inherit;
      background-color: var(--black-color);
      opacity: 0.65;
    }
  }

  &-slide-inner {
    @include container();

    position: relative;
    padding-top: 150px;
    width: 100%;
    height: 700px;
    display: flex;
    flex-direction: column;
    box-sizing: border-box;

    @include media-breakpoint-up(sm) {
      padding-top: 200px;
    }

    @include media-breakpoint-up(md) {
      height: 800px;
    }

    @include media-breakpoint-up(lg) {
      padding-top: 250px;
      padding-right: 120px;
      padding-left: 120px;
      height: 900px;
    }

    @include media-breakpoint-up(xxl) {
      padding-right: 0;
      padding-left: 0;
    }
  }

  &-wrapper {
    .swiper--products & {
      padding: 25px 0;
    }
  }

  &-footer {
    display: flex;
    justify-content: center;
  }

  &-title {
    margin: 0 0 25px;
    max-width: 1000px;
    font-family: var(--font-title);
    font-size: 40px;
    line-height: 45px;
    text-transform: uppercase;
    color: $white-color;

    @include media-breakpoint-up(md) {
      font-size: 60px;
      line-height: 70px;
    }

    @include media-breakpoint-up(xl) {
      font-size: 80px;
      line-height: 90px;
    }
  }

  &-text {
    margin: 0 0 45px;
    max-width: 700px;
    font-family: var(--font-text);
    font-size: 16px;
    line-height: 22px;
    color: $white-color;

    @include media-breakpoint-up(lg) {
      font-size: 22px;
      line-height: 30px;
    }
  }

  &-slide-btn {
    max-width: 270px;
  }

  &-btn {
    position: absolute;
    top: 50%;
    z-index: 10;
    padding: 0;
    width: $swiper-btn-size;
    height: $swiper-btn-size;
    display: none;
    border: 3px solid var(--white-color);
    background-color: transparent;
    cursor: pointer;
    opacity: 0.4;

    .swiper--main & {
      @include media-breakpoint-up(lg) {
        display: block;

      }
    }

    .swiper--products &,
    .swiper--news & {
      top: 40px;
      width: 12px;
      height: 12px;
      display: block;
      border: 2px solid var(--black-color);
    }

    @include media-breakpoint-up(xl) {
      //display: block;
    }

    @include focus {
      outline: none;
    }

    &-prev {
      border-right-color: transparent;
      border-bottom-color: transparent;
      transform: translateY(-65%) rotate3d(0, 0, 1, -45deg);

      @include media-breakpoint-up(lg) {
        left: 30px;
      }

      @include media-breakpoint-up(xxl) {
        left: -100px;
      }

      .swiper--products &,
      .swiper--news & {
        left: 0;
        transform: rotate3d(0, 0, 1, -45deg);
        border-right-color: transparent;
        border-bottom-color: transparent;
      }
    }

    &-next {
      border-left-color: transparent;
      border-bottom-color: transparent;
      transform: translateY(-65%) rotate3d(0, 0, 1, 45deg);

      @include media-breakpoint-up(lg) {
        right: 30px;
      }

      @include media-breakpoint-up(xxl) {
        right: -100px;
      }

      .swiper--products &,
      .swiper--news & {
        right: 0;
        transform: rotate3d(0, 0, 1, 45deg);
        border-left-color: transparent;
        border-bottom-color: transparent;
      }
    }

    &:disabled {
      opacity: 0.4;
      cursor: not-allowed;
    }

    @include hover {
      &:not(:disabled) {
        opacity: 1;
      }
    }
  }

  &-pagination {
    bottom: -60px;
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100%;

    .swiper--main & {
      bottom: 50px;
    }

    @include media-breakpoint-up(xl) {
      //display: none;
    }
  }

  &-pagination-bullet {
    margin: 0 12px 10px 12px;
    width: 6px;
    height: 6px;
    display: block;
    background-color: $gray-dark-color;
    cursor: pointer;

    .swiper--main & {
      width: 10px;
      height: 10px;
      background-color: var(--white-color);
    }

    &-active {
      width: 8px;
      height: 8px;
      background-color: $black-color;
    }

    &:focus {
      outline: none;
    }
  }
}
